
Foreman - Bug #4789

search auto completer on progress many times fail

03/24/2014 07:52 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when default order is enabled on an AR object, scoped search would generate something like:

SELECT DISTINCT 'columnX' ... ORDER by 'columnY'

which is not allowed on postgresql.   

this has been fixed at https://github.com/wvanbergen/scoped_search/commit/1b4a9eb31d920331357305cd41da7a75f1fa3f8e

which requires to upgrade to scoped_search 2.7.1

Related issues:

Related to Foreman - Bug #4548: [foretello] cannot search organization by title Resolved

Related to Foreman - Bug #4443: Auto-completion of organization search fails ... Closed 02/25/2014

History

#1 - 03/24/2014 07:53 AM - Ohad Levy

- Related to Bug #4548: [foretello] cannot search organization by title added

#2 - 03/24/2014 08:23 AM - Dominic Cleal

- Related to Bug #4443: Auto-completion of organization search fails as sort column is not in result set added

#3 - 03/24/2014 11:24 AM - Dominic Cleal

- Status changed from New to Duplicate
